### Type parameters

- #### TValue

### Hierarchy

- LoDashImplicitWrapper

## Index

### Properties

- partial
- partialRight

### Methods

- after
- ary
- before
- bind
- bindKey
- curry
- curryRight
- debounce
- defer
- delay
- memoize
- negate
- overArgs
- rearg
- rest
- spread
- throttle
- unary
- wrap

## Properties

### partial

partial: ImplicitPartial

- Defined in node_modules/@types/lodash/common/function.d.ts:938

see

  _.partial

### partialRight

partialRight: ImplicitPartialRight

- Defined in node_modules/@types/lodash/common/function.d.ts:1099

see

  _.partialRight

## Methods

### after

- after<TFunc>(func: TFunc): LoDashImplicitWrapper<TFunc>

- - Defined in node_modules/@types/lodash/common/function.d.ts:23
  see

    _.after

  #### Type parameters

  - #### TFunc: function

  #### Parameters

  - ##### func: TFunc

  #### Returns LoDashImplicitWrapper<TFunc>

### ary

- ary(n?: undefined | number): LoDashImplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:53
  see

    _.ary

  #### Parameters

  - ##### Optional n: undefined | number

  #### Returns LoDashImplicitWrapper<function>

### before

- before<TFunc>(func: TFunc): LoDashImplicitWrapper<TFunc>

- - Defined in node_modules/@types/lodash/common/function.d.ts:85
  see

    _.before

  #### Type parameters

  - #### TFunc: function

  #### Parameters

  - ##### func: TFunc

  #### Returns LoDashImplicitWrapper<TFunc>

### bind

- bind(thisArg: any, ...partials: any[]): LoDashImplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:129
  see

    _.bind

  #### Parameters

  - ##### thisArg: any

  - ##### Rest ...partials: any[]

  #### Returns LoDashImplicitWrapper<function>

### bindKey

- bindKey(key: string, ...partials: any[]): LoDashImplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:180
  see

    _.bindKey

  #### Parameters

  - ##### key: string

  - ##### Rest ...partials: any[]

  #### Returns LoDashImplicitWrapper<function>

### curry

- curry<T1, R>(this: LoDashImplicitWrapper<function>, arity?: undefined | number): LoDashImplicitWrapper<CurriedFunction1<T1, R>>
- curry<T1, T2, R>(this: LoDashImplicitWrapper<function>, arity?: undefined | number): LoDashImplicitWrapper<CurriedFunction2<T1, T2, R>>
- curry<T1, T2, T3, R>(this: LoDashImplicitWrapper<function>, arity?: undefined | number): LoDashImplicitWrapper<CurriedFunction3<T1, T2, T3, R>>
- curry<T1, T2, T3, T4, R>(this: LoDashImplicitWrapper<function>, arity?: undefined | number): LoDashImplicitWrapper<CurriedFunction4<T1, T2, T3, T4, R>>
- curry<T1, T2, T3, T4, T5, R>(this: LoDashImplicitWrapper<function>, arity?: undefined | number): LoDashImplicitWrapper<CurriedFunction5<T1, T2, T3, T4, T5, R>>
- curry(arity?: undefined | number): LoDashImplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:424
  see

    _.curry

  #### Type parameters

  - #### T1

  - #### R

  #### Parameters

  - ##### this: LoDashImplicitWrapper<function>

  - ##### Optional arity: undefined | number

  #### Returns LoDashImplicitWrapper<CurriedFunction1<T1, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:430
  see

    _.curry

  #### Type parameters

  - #### T1

  - #### T2

  - #### R

  #### Parameters

  - ##### this: LoDashImplicitWrapper<function>

  - ##### Optional arity: undefined | number

  #### Returns LoDashImplicitWrapper<CurriedFunction2<T1, T2, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:436
  see

    _.curry

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### this: LoDashImplicitWrapper<function>

  - ##### Optional arity: undefined | number

  #### Returns LoDashImplicitWrapper<CurriedFunction3<T1, T2, T3, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:442
  see

    _.curry

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### this: LoDashImplicitWrapper<function>

  - ##### Optional arity: undefined | number

  #### Returns LoDashImplicitWrapper<CurriedFunction4<T1, T2, T3, T4, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:448
  see

    _.curry

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### R

  #### Parameters

  - ##### this: LoDashImplicitWrapper<function>

  - ##### Optional arity: undefined | number

  #### Returns LoDashImplicitWrapper<CurriedFunction5<T1, T2, T3, T4, T5, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:454
  see

    _.curry

  #### Parameters

  - ##### Optional arity: undefined | number

  #### Returns LoDashImplicitWrapper<function>

### curryRight

- curryRight<T1, R>(this: LoDashImplicitWrapper<function>, arity?: undefined | number): LoDashImplicitWrapper<RightCurriedFunction1<T1, R>>
- curryRight<T1, T2, R>(this: LoDashImplicitWrapper<function>, arity?: undefined | number): LoDashImplicitWrapper<RightCurriedFunction2<T1, T2, R>>
- curryRight<T1, T2, T3, R>(this: LoDashImplicitWrapper<function>, arity?: undefined | number): LoDashImplicitWrapper<RightCurriedFunction3<T1, T2, T3, R>>
- curryRight<T1, T2, T3, T4, R>(this: LoDashImplicitWrapper<function>, arity?: undefined | number): LoDashImplicitWrapper<RightCurriedFunction4<T1, T2, T3, T4, R>>
- curryRight<T1, T2, T3, T4, T5, R>(this: LoDashImplicitWrapper<function>, arity?: undefined | number): LoDashImplicitWrapper<RightCurriedFunction5<T1, T2, T3, T4, T5, R>>
- curryRight(arity?: undefined | number): LoDashImplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:562
  see

    _.curryRight

  #### Type parameters

  - #### T1

  - #### R

  #### Parameters

  - ##### this: LoDashImplicitWrapper<function>

  - ##### Optional arity: undefined | number

  #### Returns LoDashImplicitWrapper<RightCurriedFunction1<T1, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:568
  see

    _.curryRight

  #### Type parameters

  - #### T1

  - #### T2

  - #### R

  #### Parameters

  - ##### this: LoDashImplicitWrapper<function>

  - ##### Optional arity: undefined | number

  #### Returns LoDashImplicitWrapper<RightCurriedFunction2<T1, T2, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:574
  see

    _.curryRight

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### this: LoDashImplicitWrapper<function>

  - ##### Optional arity: undefined | number

  #### Returns LoDashImplicitWrapper<RightCurriedFunction3<T1, T2, T3, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:580
  see

    _.curryRight

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### this: LoDashImplicitWrapper<function>

  - ##### Optional arity: undefined | number

  #### Returns LoDashImplicitWrapper<RightCurriedFunction4<T1, T2, T3, T4, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:586
  see

    _.curryRight

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### R

  #### Parameters

  - ##### this: LoDashImplicitWrapper<function>

  - ##### Optional arity: undefined | number

  #### Returns LoDashImplicitWrapper<RightCurriedFunction5<T1, T2, T3, T4, T5, R>>

- - Defined in node_modules/@types/lodash/common/function.d.ts:592
  see

    _.curryRight

  #### Parameters

  - ##### Optional arity: undefined | number

  #### Returns LoDashImplicitWrapper<function>

### debounce

- debounce(wait?: undefined | number, options?: DebounceSettings): LoDashImplicitWrapper<TValue & Cancelable>

- - Defined in node_modules/@types/lodash/common/function.d.ts:683
  see

    _.debounce

  #### Parameters

  - ##### Optional wait: undefined | number

  - ##### Optional options: DebounceSettings

  #### Returns LoDashImplicitWrapper<TValue & Cancelable>

### defer

- defer(...args: any[]): LoDashImplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/function.d.ts:720
  see

    _.defer

  #### Parameters

  - ##### Rest ...args: any[]

  #### Returns LoDashImplicitWrapper<number>

### delay

- delay(wait: number, ...args: any[]): LoDashImplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/function.d.ts:752
  see

    _.delay

  #### Parameters

  - ##### wait: number

  - ##### Rest ...args: any[]

  #### Returns LoDashImplicitWrapper<number>

### memoize

- memoize(resolver?: undefined | function): LoDashImplicitWrapper<TValue & MemoizedFunction>

- - Defined in node_modules/@types/lodash/common/function.d.ts:823
  see

    _.memoize

  #### Parameters

  - ##### Optional resolver: undefined | function

  #### Returns LoDashImplicitWrapper<TValue & MemoizedFunction>

### negate

- negate(this: LoDashImplicitWrapper<function>): LoDashImplicitWrapper<function>
- negate<A1>(this: LoDashImplicitWrapper<function>): LoDashImplicitWrapper<function>
- negate<A1, A2>(this: LoDashImplicitWrapper<function>): LoDashImplicitWrapper<function>
- negate(this: LoDashImplicitWrapper<function>): LoDashImplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:853
  see

    _.negate

  #### Parameters

  - ##### this: LoDashImplicitWrapper<function>

  #### Returns LoDashImplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:854

  #### Type parameters

  - #### A1

  #### Parameters

  - ##### this: LoDashImplicitWrapper<function>

  #### Returns LoDashImplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:855

  #### Type parameters

  - #### A1

  - #### A2

  #### Parameters

  - ##### this: LoDashImplicitWrapper<function>

  #### Returns LoDashImplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:856

  #### Parameters

  - ##### this: LoDashImplicitWrapper<function>

  #### Returns LoDashImplicitWrapper<function>

### overArgs

- overArgs(...transforms: Array<Many<function>>): LoDashImplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:910
  see

    _.overArgs

  #### Parameters

  - ##### Rest ...transforms: Array<Many<function>>

  #### Returns LoDashImplicitWrapper<function>

### rearg

- rearg(...indexes: Array<Many<number>>): LoDashImplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1252
  see

    _.rearg

  #### Parameters

  - ##### Rest ...indexes: Array<Many<number>>

  #### Returns LoDashImplicitWrapper<function>

### rest

- rest(start?: undefined | number): LoDashImplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1285
  see

    _.rest

  #### Parameters

  - ##### Optional start: undefined | number

  #### Returns LoDashImplicitWrapper<function>

### spread

- spread<TResult>(this: LoDashImplicitWrapper<function>): LoDashImplicitWrapper<function>
- spread<TResult>(this: LoDashImplicitWrapper<function>, start: number): LoDashImplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1319
  see

    _.spread

  #### Type parameters

  - #### TResult

  #### Parameters

  - ##### this: LoDashImplicitWrapper<function>

  #### Returns LoDashImplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1324
  see

    _.spread

  #### Type parameters

  - #### TResult

  #### Parameters

  - ##### this: LoDashImplicitWrapper<function>

  - ##### start: number

  #### Returns LoDashImplicitWrapper<function>

### throttle

- throttle(wait?: undefined | number, options?: ThrottleSettings): LoDashImplicitWrapper<TValue & Cancelable>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1381
  see

    _.throttle

  #### Parameters

  - ##### Optional wait: undefined | number

  - ##### Optional options: ThrottleSettings

  #### Returns LoDashImplicitWrapper<TValue & Cancelable>

### unary

- unary<T, TResult>(this: LoDashImplicitWrapper<function>): LoDashImplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1419
  see

    _.unary

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashImplicitWrapper<function>

  #### Returns LoDashImplicitWrapper<function>

### wrap

- wrap<TArgs, TResult>(wrapper: function): LoDashImplicitWrapper<function>
- wrap<TResult>(wrapper: function): LoDashImplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1459
  see

    _.wrap

  #### Type parameters

  - #### TArgs

  - #### TResult

  #### Parameters

  - ##### wrapper: function

    - - (value: TValue, ...args: TArgs[]): TResult

      - #### Parameters

        - ##### value: TValue

        - ##### Rest ...args: TArgs[]

        #### Returns TResult

  #### Returns LoDashImplicitWrapper<function>

- - Defined in node_modules/@types/lodash/common/function.d.ts:1466
  see

    _.wrap

  #### Type parameters

  - #### TResult

  #### Parameters

  - ##### wrapper: function

    - - (value: TValue, ...args: any[]): TResult

      - #### Parameters

        - ##### value: TValue

        - ##### Rest ...args: any[]

        #### Returns TResult

  #### Returns LoDashImplicitWrapper<function>

Generated using TypeDoc